Description

Gamepad is supposed to make mobile VR useful, without it there's no navigation or interaction with the scene.

History

#1 - 04/20/2023 09:04 PM - Josip Almasi

- Status changed from New to In Progress

#2 - 04/22/2023 01:51 PM - Josip Almasi

- Status changed from In Progress to Resolved

Gamepad implemented in the HUD and in the scene.

HUD component selection and activation using gamepad keys, including virtual keyboard. Left-right navigate HUD row, including forms. Down button
brings the previous row, if any. Up, trigger and select buttons activate currently selected HUD button. On virtual keyboard, only select/trigger activate
the key, while up/down/left/right buttons are used for navigation through the keyboard.

This works the same in XR and outside of it.

In XR mode, until controllers become available, a visible ray is cast from user's body and tracks the camera. While gamepad sticks teleport and rotate
the camera, gamepad triggers and select button activate currently selected object.

#3 - 09/11/2023 06:32 PM - Josip Almasi

- Status changed from Resolved to Closed
